Apache Struts API Documentation: Class PropertyMessageResourcesFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class PropertyMessageResourcesFactory

    java.lang.Object
      |
      +--org.apache.struts.util.MessageResourcesFactory
            |
            +--org.apache.struts.util.PropertyMessageResourcesFactory

All Implemented Interfaces:
  java.io.Serializable

public class PropertyMessageResourcesFactory
extends MessageResourcesFactory

Factory for `PropertyMessageResources` instances. The configuration paramter for such instances is the base Java package name of the resources entries from which our keys and values will be loaded.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Fields inherited from class org.apache.struts.util.MessageResourcesFactory
`clazz, factoryClass, returnNull`

Constructor Summary
`PropertyMessageResourcesFactory()`

Method Summary
`MessageResources` | `createResources(java.lang.String config)` Create and return a newly instansiated `MessageResources`.

Methods inherited from class org.apache.struts.util.MessageResourcesFactory
`createFactory, getFactoryClass, getReturnNull, setFactoryClass, setReturnNull`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### PropertyMessageResourcesFactory

    public PropertyMessageResourcesFactory()

Method Detail

### createResources

    public MessageResources createResources(java.lang.String config)

  Create and return a newly instansiated `MessageResources`. This method must be implemented by concrete subclasses.
  Overrides:
    `createResources` in class `MessageResourcesFactory`
  Parameters:
    `config` - Configuration parameter(s) for the requested bundle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation